inq
Prev | Orchestra Opcodes and Operators | Next

## inq

inq — Reads quad audio data from an external device or stream.

## Description

Reads quad audio data from an external device or stream.

| Warning
This opcode is designed to be used only with orchestras that have nchnls=4. Doing so with orchestras with nchnls > 4 will cause incorrect audio input.

## Syntax

    ar1, ar2,  ar3, a4 inq

## Performance

Reads quad audio data from an external device or stream. If the command-line -i flag is set, sound is read continuously from the audio input stream (e.g. stdin or a soundfile) into an internal buffer. Any number of these opcodes can read freely from this buffer.

## See Also

diskin, in, inh, inh, ino, ins, soundin

## Credits

Authors: Barry L. Vercoe, Matt Ingalls/Mike Berry
MIT, Mills College
1993-1997

Prev | Up | Next
ino | Home | inrg